This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 443917 - [Xorg] High system load for continous text output to GNOME terminal
[Xorg] High system load for continous text output to GNOME terminal
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: gnome-terminal (Show other bugs)
9
x86_64 Linux
low Severity low
: ---
: ---
Assigned To: Behdad Esfahbod
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-04-24 01:41 EDT by Joachim Frieben
Modified: 2009-07-11 12:56 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-11 12:56:35 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
xorg.conf as produced by anaconda plus a 1400x1050 mode entry (652 bytes, text/plain)
2008-04-24 01:41 EDT, Joachim Frieben
no flags Details
Xorg.0.log for attached xorg.conf (79.90 KB, text/plain)
2008-04-24 01:42 EDT, Joachim Frieben
no flags Details
Xorg.0.log when run w/o xorg.conf (177.46 KB, text/plain)
2008-04-24 01:48 EDT, Joachim Frieben
no flags Details
Xorg.0.log for accelmethod exa (79.62 KB, text/plain)
2008-04-24 02:02 EDT, Joachim Frieben
no flags Details

  None (edit)
Description Joachim Frieben 2008-04-24 01:41:03 EDT
Description of problem:
Running some application which spawns about 30 lines/sec to a GNOME
terminal instance, Xorg adds up to > 32% of the system load according
to the process list when a bitmap font is chosen. For some antialiased
font, the load goes down (!) to about 18% which is still mich higher
than for F8 where the corresponding system load was ~ 3%.

Version-Release number of selected component (if applicable):
xorg-x11-server-Xorg-1.4.99.901-23.20080415.fc9

How reproducible:
Always.

Steps to Reproduce:
1. Run some program in a shell which produces a continuous medium rate
   text output while running.
2. Run 'top'.
  
Actual results:
X is listed to be consuming ~ 32% percent or more.

Expected results:
X consumes less than 5%

Additional info:
- Issue is absent for a fully updated F8 system using ATI driver version
  6.8.0 as does rawhide where low 1 digit figures for Xorg and
  gnome-terminal are observed.
- Running the code in xterm does not produce any noticeable CPU load,
  maybe < 2%.
- Choosing 'Luxi Mono' or some other --aliased-- font instead of a
  standard bitmap font like 'Console' allows to cut the CPU load down
  to ~ 18%.
Comment 1 Joachim Frieben 2008-04-24 01:41:03 EDT
Created attachment 303577 [details]
xorg.conf as produced by anaconda plus a 1400x1050 mode entry
Comment 2 Joachim Frieben 2008-04-24 01:42:18 EDT
Created attachment 303580 [details]
Xorg.0.log for attached xorg.conf
Comment 3 Joachim Frieben 2008-04-24 01:48:22 EDT
Created attachment 303583 [details]
Xorg.0.log when run w/o xorg.conf
Comment 4 Joachim Frieben 2008-04-24 02:02:36 EDT
Created attachment 303585 [details]
Xorg.0.log for accelmethod exa

System load slightly increases to almost 40% when EXA is enabled. The
video card is an ATI Radeon AIW X800.
Comment 5 Joachim Frieben 2008-04-25 07:08:30 EDT
As stressed in my original report, F8 is not affected even though
it has the latest driver version 6.8.0, too. Setting component to
xorg-x11-drv-ati thus appears questionable.
Comment 6 Matěj Cepl 2008-04-25 09:33:40 EDT
Yes, you are right, I screwed up, but I am not sure that Xserver component is
much better. Let's try to blame gnome-terminal (apparently the problem is
somewhere there, because you cannot reproduce it with xterm). Alternative would
be xfs (because bitmap fonts suck), but let's try gnome-terminal first.
Comment 7 Joachim Frieben 2008-04-25 15:01:18 EDT
No change after downgrading to gnome-terminal-2.18.4-1.fc8.
Comment 8 Joachim Frieben 2008-04-26 07:59:48 EDT
I have checked against Ubuntu 8.04, and for antialised fonts, system load
varies between ~ 20% for accelmethod 'xaa' and ~ 40% for 'exa' which is
enormous, too. Bitmap fonts were not available. Here, Xorg is at version
7.3 and GNOME at 2.22 whereas F8 sports Xorg 7.2. Not conclusive ..
Comment 9 Bug Zapper 2008-05-14 06:03:04 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 10 Joachim Frieben 2008-06-21 18:20:01 EDT
Issue still persists for current F9 including updates-testing. The xfs
font server is clearly not involved since the Fedora default setup
does not include it, and I have not added it afterwards. People using
a dual core system will hardly even notice the issue but on a single
core system, the impact on the system performance is significant.
I still observe that using aliased fonts reduces the Xorg load from
about 40% for bitmap fonts to about 20% which is still a lot.
Comment 11 Joachim Frieben 2008-11-06 04:33:15 EST
This issue is resolved or at least greatly reduced as of GNOME 2.24.x as included in recent F10 snapshots releases.
Comment 12 Bug Zapper 2009-06-09 20:23:43 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Note You need to log in before you can comment on or make changes to this bug.